
var images = []; // Declare Array
var x; //constant to control array object
x = 0; //initialize to 0

// now declare each object for the array

/*
thumb = low res version of an images
full = high res version of an images
description = used for alt text and description
*/

images[0] = {
  thumb: "./images/bridge/image1t.jpg",
  full: "./images/bridge/image1.jpg",
  description: "A view over the highway from the trail"
};

images[1] = {
  thumb: "./images/bridge/image2t.jpg",
  full: "./images/bridge/image2.jpg",
  description: "The army I was with"
};

images[2] = {
  thumb: "./images/bridge/image3t.jpg",
  full: "./images/bridge/image3.jpg",
  description: "The bridge"
};

images[3] = {
  thumb: "./images/bridge/image4t.jpg",
  full: "./images/bridge/image4.jpg",
  description: "I'm on the bridge, too"
};

/* This function reduces the value of x
by 1, reducing the array selected. But if x 
is currently the first array object already
then it goes to the last array object. It then replaces
all items associated with the picture with the last 
object's parts
*/
function lastImage()	{
  if (x == 0)
    x = 3;
  else
    x--;
  document.getElementById('pictureFull').href = images[x].full;
  document.getElementById('pictureThumb').src = images[x].thumb;
  document.getElementById('pictureThumb').alt = images[x].description;
  document.getElementById('pictureDesc').innerHTML = images[x].description;
}

/* This function increases the value of x
by 1, increasing the array selected. But if x 
is currently the first array object already,
then it goes to the last array object. It then replaces
all items associated with the picture with the next 
object's parts
*/
function nextImage()	{
  if (x == 3)
    x = 0;
  else
    x++;
  document.getElementById('pictureFull').href = images[x].full;
  document.getElementById('pictureThumb').src = images[x].thumb;
  document.getElementById('pictureThumb').alt = images[x].description;
  document.getElementById('pictureDesc').innerHTML = images[x].description;
}

// run the script of changing the image every 3 seconds
setInterval(nextImage,3000);