
var images = []; // Declare Array
var x; //constant to control array object
x = 0; //initialize to 0

// now declare each object for the array

/*
thumb = low res version of an images
full = high res version of an images
description = used for alt text and description
*/

images[0] = {
  thumb: "./images/ribbonfalls/image1t.jpg",
  full: "./images/ribbonfalls/image1.jpg",
  description: "Tianna hiking... I am carrying everything lol..."
};

images[1] = {
  thumb: "./images/ribbonfalls/image2t.jpg",
  full: "./images/ribbonfalls/image2.jpg",
  description: "Rocky part of the trail"
};

images[2] = {
  thumb: "./images/ribbonfalls/image3t.jpg",
  full: "./images/ribbonfalls/image3.jpg",
  description: "One of many small waterfalls on the way"
};

images[3] = {
  thumb: "./images/ribbonfalls/image4t.jpg",
  full: "./images/ribbonfalls/image4.jpg",
  description: "Enough with the rocks on my feet"
};

images[4] = {
  thumb: "./images/ribbonfalls/image5t.jpg",
  full: "./images/ribbonfalls/image5.jpg",
  description: "Higher elevation means different vegetation"
};

images[5] = {
  thumb: "./images/ribbonfalls/image6t.jpg",
  full: "./images/ribbonfalls/image6.jpg",
  description: "Us and a strangers thumb... Pay attention Brodie!"
};

images[6] = {
  thumb: "./images/ribbonfalls/image7t.jpg",
  full: "./images/ribbonfalls/image7.jpg",
  description: "Ribbon Falls is impressive"
};

images[7] = {
  thumb: "./images/ribbonfalls/image8t.jpg",
  full: "./images/ribbonfalls/image8.jpg",
  description: "Day use information board"
};

images[8] = {
  thumb: "./images/ribbonfalls/image9t.jpg",
  full: "./images/ribbonfalls/image9.jpg",
  description: "Tianna needs a medic!"
};

/* This function reduces the value of x
by 1, reducing the array selected. But if x 
is currently the first array object already
then it goes to the last array object. It then replaces
all items associated with the picture with the last 
object's parts
*/
function lastImage()	{
  if (x == 0)
    x = 8;
  else
    x--;
  document.getElementById('pictureFull').href = images[x].full;
  document.getElementById('pictureThumb').src = images[x].thumb;
  document.getElementById('pictureThumb').alt = images[x].description;
  document.getElementById('pictureDesc').innerHTML = images[x].description;
}

/* This function increases the value of x
by 1, increasing the array selected. But if x 
is currently the first array object already,
then it goes to the last array object. It then replaces
all items associated with the picture with the next 
object's parts
*/
function nextImage()	{
  if (x == 8)
    x = 0;
  else
    x++;
  document.getElementById('pictureFull').href = images[x].full;
  document.getElementById('pictureThumb').src = images[x].thumb;
  document.getElementById('pictureThumb').alt = images[x].description;
  document.getElementById('pictureDesc').innerHTML = images[x].description;
}

// run the script of changing the image every 3 seconds
setInterval(nextImage,3000);